searchData={"items":[{"type":"module","title":"ISN","doc":"A Postgrex.Extension enabling the use of postgresql data types from the isn\nextension.\n\nIn lib/ directory create a file with the following content:\n\n  Postgrex.Types.define(MyApp.PostgrexTypes, [ISN], [])\n\nAdd the following lines in conig.exs:\n\n  config :my_app, MyApp.Repo,\n    types: MyApp.PostgrexTypes\n\nThen you can do Ecto.Migrations like this:\n\n    defmodule MyApp.Repo.Migrations.CreateBook do\n      use Ecto.Migration\n\n      def change do\n        create table(:books) do\n          add :isbn, :isbn13\n          # other fields\n        end\n      end\n    end\n\nYou can also define Ecto.Models using the matching custom Ecto.Types:\n\n    defmodule MyApp.Book do\n      use MyApp.Web, :model\n\n      schema \"books\" do\n        field :isbn, ISN.ISBN13, read_after_writes: true\n        # other fields\n      end\n    end","ref":"ISN.html"},{"type":"function","title":"ISN.decode/1","doc":"","ref":"ISN.html#decode/1"},{"type":"function","title":"ISN.encode/1","doc":"","ref":"ISN.html#encode/1"},{"type":"function","title":"ISN.format/1","doc":"","ref":"ISN.html#format/1"},{"type":"function","title":"ISN.init/1","doc":"","ref":"ISN.html#init/1"},{"type":"function","title":"ISN.matching/1","doc":"","ref":"ISN.html#matching/1"},{"type":"module","title":"ISN.EAN13","doc":"Definition for the ISN.EAN13 module.\n\nHow to use this in an Ecto.Model\n\n    defmodule MyApp.Book do\n      use MyApp.Web, :model\n\n      schema \"books\" do\n        field :ean13, ISN.EAN13\n        # other fields\n      end\n    end","ref":"ISN.EAN13.html"},{"type":"function","title":"ISN.EAN13.cast/1","doc":"","ref":"ISN.EAN13.html#cast/1"},{"type":"function","title":"ISN.EAN13.dump/1","doc":"","ref":"ISN.EAN13.html#dump/1"},{"type":"function","title":"ISN.EAN13.embed_as/1","doc":"","ref":"ISN.EAN13.html#embed_as/1"},{"type":"function","title":"ISN.EAN13.equal?/2","doc":"","ref":"ISN.EAN13.html#equal?/2"},{"type":"function","title":"ISN.EAN13.load/1","doc":"","ref":"ISN.EAN13.html#load/1"},{"type":"function","title":"ISN.EAN13.type/0","doc":"","ref":"ISN.EAN13.html#type/0"},{"type":"module","title":"ISN.ISBN","doc":"Definition for the ISN.ISBN module.\n\nHow to use this in an Ecto.Model\n\n    defmodule MyApp.Book do\n      use MyApp.Web, :model\n\n      schema \"books\" do\n        field :isbn, ISN.ISBN\n        # other fields\n      end\n    end","ref":"ISN.ISBN.html"},{"type":"function","title":"ISN.ISBN.cast/1","doc":"","ref":"ISN.ISBN.html#cast/1"},{"type":"function","title":"ISN.ISBN.dump/1","doc":"","ref":"ISN.ISBN.html#dump/1"},{"type":"function","title":"ISN.ISBN.embed_as/1","doc":"","ref":"ISN.ISBN.html#embed_as/1"},{"type":"function","title":"ISN.ISBN.equal?/2","doc":"","ref":"ISN.ISBN.html#equal?/2"},{"type":"function","title":"ISN.ISBN.load/1","doc":"","ref":"ISN.ISBN.html#load/1"},{"type":"function","title":"ISN.ISBN.type/0","doc":"","ref":"ISN.ISBN.html#type/0"},{"type":"module","title":"ISN.ISBN13","doc":"Definition for the ISN.ISBN13 module.\n\nHow to use this in an Ecto.Model\n\n    defmodule MyApp.Book do\n      use MyApp.Web, :model\n\n      schema \"books\" do\n        field :isbn13, ISN.ISBN13\n        # other fields\n      end\n    end","ref":"ISN.ISBN13.html"},{"type":"function","title":"ISN.ISBN13.cast/1","doc":"","ref":"ISN.ISBN13.html#cast/1"},{"type":"function","title":"ISN.ISBN13.dump/1","doc":"","ref":"ISN.ISBN13.html#dump/1"},{"type":"function","title":"ISN.ISBN13.embed_as/1","doc":"","ref":"ISN.ISBN13.html#embed_as/1"},{"type":"function","title":"ISN.ISBN13.equal?/2","doc":"","ref":"ISN.ISBN13.html#equal?/2"},{"type":"function","title":"ISN.ISBN13.load/1","doc":"","ref":"ISN.ISBN13.html#load/1"},{"type":"function","title":"ISN.ISBN13.type/0","doc":"","ref":"ISN.ISBN13.html#type/0"},{"type":"module","title":"ISN.ISMN","doc":"Definition for the ISN.ISMN module.\n\nHow to use this in an Ecto.Model\n\n    defmodule MyApp.Book do\n      use MyApp.Web, :model\n\n      schema \"books\" do\n        field :ismn, ISN.ISMN\n        # other fields\n      end\n    end","ref":"ISN.ISMN.html"},{"type":"function","title":"ISN.ISMN.cast/1","doc":"","ref":"ISN.ISMN.html#cast/1"},{"type":"function","title":"ISN.ISMN.dump/1","doc":"","ref":"ISN.ISMN.html#dump/1"},{"type":"function","title":"ISN.ISMN.embed_as/1","doc":"","ref":"ISN.ISMN.html#embed_as/1"},{"type":"function","title":"ISN.ISMN.equal?/2","doc":"","ref":"ISN.ISMN.html#equal?/2"},{"type":"function","title":"ISN.ISMN.load/1","doc":"","ref":"ISN.ISMN.html#load/1"},{"type":"function","title":"ISN.ISMN.type/0","doc":"","ref":"ISN.ISMN.html#type/0"},{"type":"module","title":"ISN.ISMN13","doc":"Definition for the ISN.ISMN13 module.\n\nHow to use this in an Ecto.Model\n\n    defmodule MyApp.Book do\n      use MyApp.Web, :model\n\n      schema \"books\" do\n        field :ismn13, ISN.ISMN13\n        # other fields\n      end\n    end","ref":"ISN.ISMN13.html"},{"type":"function","title":"ISN.ISMN13.cast/1","doc":"","ref":"ISN.ISMN13.html#cast/1"},{"type":"function","title":"ISN.ISMN13.dump/1","doc":"","ref":"ISN.ISMN13.html#dump/1"},{"type":"function","title":"ISN.ISMN13.embed_as/1","doc":"","ref":"ISN.ISMN13.html#embed_as/1"},{"type":"function","title":"ISN.ISMN13.equal?/2","doc":"","ref":"ISN.ISMN13.html#equal?/2"},{"type":"function","title":"ISN.ISMN13.load/1","doc":"","ref":"ISN.ISMN13.html#load/1"},{"type":"function","title":"ISN.ISMN13.type/0","doc":"","ref":"ISN.ISMN13.html#type/0"},{"type":"module","title":"ISN.ISSN","doc":"Definition for the ISN.ISSN module.\n\nHow to use this in an Ecto.Model\n\n    defmodule MyApp.Book do\n      use MyApp.Web, :model\n\n      schema \"books\" do\n        field :issn, ISN.ISSN\n        # other fields\n      end\n    end","ref":"ISN.ISSN.html"},{"type":"function","title":"ISN.ISSN.cast/1","doc":"","ref":"ISN.ISSN.html#cast/1"},{"type":"function","title":"ISN.ISSN.dump/1","doc":"","ref":"ISN.ISSN.html#dump/1"},{"type":"function","title":"ISN.ISSN.embed_as/1","doc":"","ref":"ISN.ISSN.html#embed_as/1"},{"type":"function","title":"ISN.ISSN.equal?/2","doc":"","ref":"ISN.ISSN.html#equal?/2"},{"type":"function","title":"ISN.ISSN.load/1","doc":"","ref":"ISN.ISSN.html#load/1"},{"type":"function","title":"ISN.ISSN.type/0","doc":"","ref":"ISN.ISSN.html#type/0"},{"type":"module","title":"ISN.ISSN13","doc":"Definition for the ISN.ISSN13 module.\n\nHow to use this in an Ecto.Model\n\n    defmodule MyApp.Book do\n      use MyApp.Web, :model\n\n      schema \"books\" do\n        field :issn13, ISN.ISSN13\n        # other fields\n      end\n    end","ref":"ISN.ISSN13.html"},{"type":"function","title":"ISN.ISSN13.cast/1","doc":"","ref":"ISN.ISSN13.html#cast/1"},{"type":"function","title":"ISN.ISSN13.dump/1","doc":"","ref":"ISN.ISSN13.html#dump/1"},{"type":"function","title":"ISN.ISSN13.embed_as/1","doc":"","ref":"ISN.ISSN13.html#embed_as/1"},{"type":"function","title":"ISN.ISSN13.equal?/2","doc":"","ref":"ISN.ISSN13.html#equal?/2"},{"type":"function","title":"ISN.ISSN13.load/1","doc":"","ref":"ISN.ISSN13.html#load/1"},{"type":"function","title":"ISN.ISSN13.type/0","doc":"","ref":"ISN.ISSN13.html#type/0"},{"type":"module","title":"ISN.UPC","doc":"Definition for the ISN.UPC module.\n\nHow to use this in an Ecto.Model\n\n    defmodule MyApp.Book do\n      use MyApp.Web, :model\n\n      schema \"books\" do\n        field :upc, ISN.UPC\n        # other fields\n      end\n    end","ref":"ISN.UPC.html"},{"type":"function","title":"ISN.UPC.cast/1","doc":"","ref":"ISN.UPC.html#cast/1"},{"type":"function","title":"ISN.UPC.dump/1","doc":"","ref":"ISN.UPC.html#dump/1"},{"type":"function","title":"ISN.UPC.embed_as/1","doc":"","ref":"ISN.UPC.html#embed_as/1"},{"type":"function","title":"ISN.UPC.equal?/2","doc":"","ref":"ISN.UPC.html#equal?/2"},{"type":"function","title":"ISN.UPC.load/1","doc":"","ref":"ISN.UPC.html#load/1"},{"type":"function","title":"ISN.UPC.type/0","doc":"","ref":"ISN.UPC.html#type/0"},{"type":"task","title":"mix isn.gen.migration","doc":"Generate an Ecto migration to add the `isn` extension to your database.","ref":"Mix.Tasks.Isn.Gen.Migration.html"},{"type":"task","title":"Example - mix isn.gen.migration","doc":"mix isn.gen.migration","ref":"Mix.Tasks.Isn.Gen.Migration.html#module-example"},{"type":"extras","title":"ISN","doc":"# ISN\n\n[![Build Status][4]][5]\n\nISN adds a [`Postgrex.Extension`][1] and [`Ecto.Type`][2] definitions\nfor the datatypes defined in the [`isn`][3] PostgreSQL module.","ref":"readme.html"},{"type":"extras","title":"Usage - ISN","doc":"#","ref":"readme.html#usage"},{"type":"extras","title":"Ecto migrations - ISN","doc":"```elixir\ndefmodule MyApp.Repo.Migrations.CreateBook do\n  use Ecto.Migration\n\n  def change do\n    create table(:books) do\n      add :isbn, :isbn13\n      # other fields\n    end\n  end\nend\n```\n\n#","ref":"readme.html#ecto-migrations"},{"type":"extras","title":"Ecto Models - ISN","doc":"```elixir\ndefmodule MyApp.Book do\n  use MyApp.Web, :model\n\n  schema \"books\" do\n    field :isbn, ISN.ISBN13, read_after_writes: true\n    # other fields\n  end\nend\n```","ref":"readme.html#ecto-models"},{"type":"extras","title":"Installation - ISN","doc":"**Add the package to your Mixfile**\n\n```elixir\ndefp deps do\n  [{:isn, \"~> 2.0\"}]\nend\n```\n\n**Add the isn extension to your database**\n\n    mix do isn.gen.migration, ecto.migrate\n\n**Add a lib/postgrex_types.ex file with the following content:**\n```elixir\nPostgrex.Types.define(MyApp.PostgrexTypes, [ISN], [])\n```\n\n**Add the following lines in config.exs:**\n```elixir\nconfig :my_app, MyApp.Repo,\n  types: MyApp.PostgrexTypes\n```","ref":"readme.html#installation"},{"type":"extras","title":"Defined types - ISN","doc":"`ISN` adds the following ecto and corresponding postgrex types:\n\nEcto.Type    | Postgrex type\n-------------|--------------\n`ISN.ISBN`   | `:isbn`\n`ISN.ISBN13` | `:isbn13`\n`ISN.ISMN`   | `:ismn`\n`ISN.ISMN13` | `:ismn13`\n`ISN.ISSN`   | `:issn`\n`ISN.ISSN13` | `:issn13`\n`ISN.EAN13`  | `:ean13`\n`ISN.UPC`    | `:upc`\n\n[1]: http://hexdocs.pm/postgrex/Postgrex.Extension.html\n[2]: http://hexdocs.pm/ecto/Ecto.Type.html\n[3]: http://www.postgresql.org/docs/9.4/static/isn.html\n[4]: https://semaphoreci.com/api/v1/projects/be7c4c34-c49e-45c7-9320-3fcc4f7f476a/458429/badge.svg\n[5]: https://semaphoreci.com/frost/isn","ref":"readme.html#defined-types"}],"content_type":"text/markdown"}